Revision Slider re-adds content as a wrong node
Closed, ResolvedPublic3 Story Points

Description

When user chooses some revision in the slider, and the diff is reloaded then div#mw-content-text gets added as a child of "original div#mw-content-text instead of replacing it.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2016, 1:59 PM
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Sep 2 2016, 7:32 AM

Change 308720 had a related patch set uploaded (by WMDE-leszek):
Do not nest mw-content-text element when reloading a diff

https://gerrit.wikimedia.org/r/308720

WMDE-leszek moved this task from Proposed to Review on the TCB-Team-Sprint-2016-08-29 board.

Change 308720 merged by jenkins-bot:
Do not nest mw-content-text element when reloading a diff

https://gerrit.wikimedia.org/r/308720

Change 308767 had a related patch set uploaded (by Addshore):
Do not nest mw-content-text element when reloading a diff

https://gerrit.wikimedia.org/r/308767

Change 308767 merged by jenkins-bot:
Do not nest mw-content-text element when reloading a diff

https://gerrit.wikimedia.org/r/308767

Changes reverted in https://gerrit.wikimedia.org/r/#/c/308942 and https://gerrit.wikimedia.org/r/#/c/308943 as they cause some odd things to happen.

WMDE-leszek removed WMDE-leszek as the assignee of this task.
Addshore moved this task from Incoming to Backlog on the Revision-Slider board.Sep 13 2016, 2:55 PM
Addshore claimed this task.
Addshore added a project: User-Addshore.
Addshore moved this task from Backlog to In Progress on the User-Addshore board.

Change 317472 had a related patch set uploaded (by Addshore):
Don't nest mw-content-text element when reloading diff

https://gerrit.wikimedia.org/r/317472

Change 317472 merged by jenkins-bot:
Don't nest mw-content-text element when reloading diff

https://gerrit.wikimedia.org/r/317472

Addshore moved this task from Needs Review / Blocked / Waiting to Done on the User-Addshore board.
Addshore closed this task as Resolved.
Tobi_WMDE_SW moved this task from Backlog to Done on the Revision-Slider board.Oct 28 2016, 2:00 PM